FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202005250821 BUILD_VERSION=v4.3.23 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=23 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.23-202005250821 
ENV __doozer=merge OS_GIT_COMMIT=d86b031 OS_GIT_VERSION=4.3.23-202005250821-d86b031 SOURCE_DATE_EPOCH=1582675672 SOURCE_GIT_COMMIT=d86b0316cc9c9b3be95c7bb2a8924be3d08a5db9 SOURCE_GIT_TAG=d86b0316 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
WORKDIR /ingress-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.23.20200525.082129
ENV __doozer=update BUILD_RELEASE=202005250821 BUILD_VERSION=v4.3.23 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=23 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.23-202005250821 
ENV __doozer=merge OS_GIT_COMMIT=d86b031 OS_GIT_VERSION=4.3.23-202005250821-d86b031 SOURCE_DATE_EPOCH=1582675672 SOURCE_GIT_COMMIT=d86b0316cc9c9b3be95c7bb2a8924be3d08a5db9 SOURCE_GIT_TAG=d86b0316 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
COPY --from=builder /ingress-operator/ingress-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/ingress-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift ingress-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of ingress controller components." \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-ingress-operator" \
        com.redhat.component="ose-cluster-ingress-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.3.23" \
        release="202005250821" \
        io.openshift.build.commit.id="d86b0316cc9c9b3be95c7bb2a8924be3d08a5db9" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-ingress-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-ingress-operator/commit/d86b0316cc9c9b3be95c7bb2a8924be3d08a5db9"

